<?php

##################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2004 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "storia_soldi.php";
$titolo = "Storia soldi";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableprenota = $PHPR_TAB_PRE."prenota".$anno;
$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tablecosti = $PHPR_TAB_PRE."costi".$anno;
$tablesoldi = $PHPR_TAB_PRE."soldi".$anno;
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";
$tableclienti = $PHPR_TAB_PRE."clienti";
$tableutenti = $PHPR_TAB_PRE."utenti";
$tabletransazioni = $PHPR_TAB_PRE."transazioni";
$tableversioni = $PHPR_TAB_PRE."versioni";


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,priv_vedi_tab);
$priv_vedi_tab_costi = substr($priv_vedi_tab,2,1);
$priv_ins_clienti = risul_query($privilegi_globali_utente,0,priv_ins_clienti);
if (substr($priv_ins_clienti,2,1) == "s") $vedi_clienti = "SI";
if (substr($priv_ins_clienti,2,1) == "p") $vedi_clienti = "PROPRI";
if (substr($priv_ins_clienti,2,1) != "s" and substr($priv_ins_clienti,2,1) != "p") $vedi_clienti = "NO";
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)
} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$priv_vedi_tab_costi = "s";
$vedi_clienti = "SI";
} # fine if ($id_utente != 1)
if ($anno_utente_attivato == "SI" and $priv_vedi_tab_costi != "n") {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


$stile_soldi = stile_soldi();
$stile_data = stile_data();


if ($azzera_soldi == "SI" and $id_utente == 1) {
if (!$continua) {
$mostra_tabella = "NO";
$tabelle_lock = array("$tableversioni","$tabletransazioni");
$altre_tab_lock = array("$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$versione_transazione = prendi_numero_versione($tableversioni);
$adesso = date("YmdHis",(time() + (C_DIFF_ORE * 3600)));
list($usec, $sec) = explode(' ', microtime());
mt_srand((float) $sec + ((float) $usec * 100000));
$val_casuale = mt_rand(100000,999999);
$ultimo_accesso = date("Y-m-d H:i:s",(time() + (C_DIFF_ORE * 3600)));
global $REMOTE_ADDR;
$REMOTE_ADDR = addslashes($REMOTE_ADDR);
$id_transazione = $adesso.$val_casuale.$versione_transazione;
esegui_query("insert into $tabletransazioni (idtransazioni,idsessione,tipo_transazione,ultimo_accesso) values ('$id_transazione','$id_sessione','can_s','$ultimo_accesso')");
unlock_tabelle($tabelle_lock);
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"storia_soldi.php\">
".mex("Si è sicuri di voler <font color=\"red\"><b>azzerare</b></font> tutte le entrate e le uscite delle prenotazioni e i soldi trasferiti in cassa del",$pag)." $anno?<br>
<table><tr><td height=2></td></tr><tr><td>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"azzera_soldi\" value=\"SI\">
<input type=\"hidden\" name=\"continua\" value=\"SI\">
<input type=\"hidden\" name=\"id_transazione\" value=\"$id_transazione\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("SI",$pag)."\">
</form></td><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"storia_soldi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("NO",$pag)."\">
</form></tr></td></table>";
} # fine if (!$continua)
else {
$tabelle_lock = array("$tablecosti","$tablesoldi","$tabletransazioni");
$tabelle_lock = lock_tabelle($tabelle_lock);
$transazione_presente = esegui_query("select * from $tabletransazioni where idtransazioni = '".addslashes($id_transazione)."' and idsessione = '".addslashes($id_sessione)."' and tipo_transazione = 'can_s'");
if (numlin_query($transazione_presente) == 1) {
esegui_query("delete from $tablesoldi where idsoldi != '1'");
esegui_query("update $tablecosti set val_costo = '0' where idcosti = '0'");
esegui_query("delete from $tabletransazioni where idtransazioni = '".addslashes($id_transazione)."' and idsessione = '".addslashes($id_sessione)."' and tipo_transazione = 'can_s'");
} # fine if (numlin_query($transazione_presente) == 1)
unlock_tabelle($tabelle_lock);
} # fine else if (!$continua)
} # fine if ($azzera_soldi == "SI" and $id_utente == 1)



if ($mostra_tabella != "NO") {


unset($periodo_query);
unset($cond_metodo);

if (!$cerca_prenota) {
echo "<table width=\"100%\"><tr><td align=\"left\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"storia_soldi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"metodo_selezionato\" value=\"$metodo_selezionato\">
<input class=\"sbutton\" type=\"submit\" name=\"cerca_prenota\" value=\"".mex("Vedi le modifiche",$pag)."\">
 ".mex("dal",$pag)." <select name=\"cerca_inizioperiodo\">
<option value=\"\" selected>----</option>";
$anno_prec = $anno - 1;
$anno_succ = $anno + 1;
$numgiorno = 1;
do {
$data_select = date("-m-d " , mktime(0,0,0,1,$numgiorno,$anno));
$data_select_vedi = date("d-m" , mktime(0,0,0,1,$numgiorno,$anno));
$numgiorno++;
$annocreato = date("Y" , mktime(0,0,0,1,$numgiorno,$anno));
echo "<option value=\"$data_select\">$data_select_vedi</option>";
} while ($annocreato == $anno);
echo "</select>
<select name=\"cerca_anno_inizioperiodo\">
<option value=\"$anno_prec\">$anno_prec</option>
<option value=\"$anno\" selected>$anno</option>
<option value=\"$anno_succ\">$anno_succ</option>
</select>
 ".mex("al",$pag)." <select name=\"cerca_fineperiodo\">
<option value=\"\" selected>----</option>";
$numgiorno = 1;
do {
$data_select = date("-m-d" , mktime(0,0,0,1,$numgiorno,$anno));
$data_select_vedi = date("d-m" , mktime(0,0,0,1,$numgiorno,$anno));
$numgiorno++;
$annocreato = date("Y" , mktime(0,0,0,1,$numgiorno,$anno));
echo "<option value=\"$data_select\">$data_select_vedi</option>";
} while ($annocreato == $anno);
echo "</select>
<select name=\"cerca_anno_fineperiodo\">
<option value=\"$anno_prec\">$anno_prec</option>
<option value=\"$anno\" selected>$anno</option>
<option value=\"$anno_succ\">$anno_succ</option>
</select></form></td>";
if ($id_utente == 1) {
echo "<td align=\"center\" width=\"200\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"storia_soldi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"senza_colori\" value=\"$senza_colori\">
<input type=\"hidden\" name=\"azzera_soldi\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Azzera entrate e uscite prenotazioni",$pag)."\">
</form></td>";
} # fine if ($id_utente == 1)
echo "<td align=\"right\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"storia_soldi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"pagina_prenota\" value=\"$pagina_prenota\">
<input type=\"hidden\" name=\"metodo_selezionato\" value=\"$metodo_selezionato\">";
if (!$senza_colori) {
echo "<input type=\"hidden\" name=\"senza_colori\" value=\"SI\">
<input class=\"sbutton\" type=\"submit\" name=\"cambia_colori\" value=\"".mex("Senza colori",$pag)."\">";
} # fine if (!$senza_colori)
else echo "<input class=\"sbutton\" type=\"submit\" name=\"cambia_colori\" value=\"".mex("Con colori",$pag)."\">";
echo "</form>";
$metodi_pagamento = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'metodi_pagamento' and idutente = '$id_utente'");
$metodi_pagamento = risul_query($metodi_pagamento,0,valpersonalizza);
if ($metodi_pagamento) {
echo "</td></tr><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"storia_soldi.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"pagina_prenota\" value=\"$pagina_prenota\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Vedi solo le entrate-uscite",$pag)."\">
 ".mex("con metodo",$pag)." <select name=\"metodo_selezionato\">
<option value=\"\">----</option>";
$metodi_pagamento = explode(",",$metodi_pagamento);
for ($num1 = 0 ; $num1 < count($metodi_pagamento) ; $num1++) echo "<option value=\"".$metodi_pagamento[$num1]."\">$metodi_pagamento[$num1]</option>";
echo "</select></form></td><td></td><td>";
} # fine if ($metodi_pagamento)
echo "</td></tr></table>";
} # fine if (!$cerca_prenota)

else {
if ($cerca_inizioperiodo) {
$cerca_inizioperiodo = $cerca_anno_inizioperiodo.$cerca_inizioperiodo;
$cerca_inizioperiodo_f = formatta_data($cerca_inizioperiodo,$stile_data);
$periodo_query = " and data_inserimento >= '$cerca_inizioperiodo'";
$frase_periodo = " ".mex("dal",$pag)." $cerca_inizioperiodo_f";
} # fine if ($cerca_inizioperiodo)
if ($cerca_fineperiodo) {
$cerca_fineperiodo = $cerca_anno_fineperiodo.$cerca_fineperiodo;
$cerca_fineperiodo_f = formatta_data($cerca_fineperiodo,$stile_data);
$periodo_query .= " and data_inserimento <= '$cerca_fineperiodo'";
$frase_periodo .= " ".mex("fino al",$pag)." $cerca_fineperiodo_f";
} # fine if ($cerca_fineperiodo)
} # fine else if (!$cerca_prenota)

$saldo_prenota_TOT = 0;
if (!$senza_colori) $colore = "$t1color";
else $colore = "#ffffff";

$tutti_utenti = esegui_query("select * from $tableutenti order by idutenti");
$num_tutti_utenti = numlin_query($tutti_utenti);
for ($num1 = 0 ; $num1 < $num_tutti_utenti ; $num1++) {
$idutenti = risul_query($tutti_utenti,$num1,idutenti);
$nome_utente_id[$idutenti] = risul_query($tutti_utenti,$num1,nome_utente);
} # fine for $num1

if ($priv_vedi_tab_costi == "p") $condizione_variazioni_proprie = "and utente_inserimento = '$id_utente'";
else $condizione_variazioni_proprie = "";

if ($metodo_selezionato) {
if (get_magic_quotes_gpc()) $metodo_selezionato = stripslashes($metodo_selezionato);
$cond_metodo = "and metodo_pagamento = '".addslashes($metodo_selezionato)."'";
} # fine if ($metodo_selezionato)

echo "<center><font size=+2><b>".mex("Storia delle entate e uscite delle prenotazioni inserite nel",$pag)." $anno$frase_periodo</b></font>";
if ($metodo_selezionato) echo "<br>($metodo_selezionato)";
echo "</center><br>";

$storia_soldi_prenota = esegui_query("select * from $tablesoldi where saldo_prenota != ''$periodo_query $cond_metodo $condizione_variazioni_proprie order by idsoldi");
$num_storia_soldi_prenota = numlin_query($storia_soldi_prenota);

if (!$cerca_prenota) {
$num_vedi_in_tab = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'num_righe_tab_storia_soldi' and idutente = '$id_utente'");
$num_vedi_in_tab = risul_query($num_vedi_in_tab,0,valpersonalizza_num);
if ($num_storia_soldi_prenota > $num_vedi_in_tab) {
$num_pagine_prenota = ceil($num_storia_soldi_prenota/$num_vedi_in_tab);
$stringa_pagine = "<center><font size=\"-1\">".mex("pagine",$pag)."</font>:";
if (!$pagina_prenota) $pagina_prenota = $num_pagine_prenota;
for ($num1 = 1 ; $num1 <= $num_pagine_prenota ; $num1++) {
$stringa_pagine .= " ";
if ($num1 != $pagina_prenota) {
$stringa_pagine .= "<a href=\"./storia_soldi.php?anno=$anno&id_sessione=$id_sessione&senza_colori=$senza_colori&pagina_prenota=$num1\">";
} # fine if ($num1 != $pagina_prenota)
else $stringa_pagine .= "<b>";
$stringa_pagine .= "$num1";
if ($num1 != $pagina_prenota) $stringa_pagine .= "</a>";
else $stringa_pagine .= "</b>";
} # fine for $num1
$stringa_pagine .= "</center>";
echo $stringa_pagine;
$stringa_puntini_tab = "<tr><td align=\"center\" colspan=\"9\">...</td></tr>";
} # fine if ($num_storia_soldi_prenota > $num_vedi_in_tab)
else $pagina_prenota = 1;
} # fine if (!$cerca_prenota)

echo "<table class=\"t1\" width=200 border=\"$t1border\" cellspacing=\"$t1cellspacing\" cellpadding=\"$t1cellpadding\" align=\"center\" bgcolor=\"$colore\">
<tr><td align=\"center\" colspan=3>".mex("Dati della prenotazione",$pag)."</td>
<td align=\"center\" rowspan=2>".mex("Pagato prima",$pag)."</td>
<td align=\"center\" rowspan=2>".mex("Pagato dopo",$pag)."</td>
<td align=\"center\" rowspan=2>".mex("Saldo",$pag)."</td>
<td align=\"center\" rowspan=2>".mex("Metodo",$pag)."</td>";
if ($num_tutti_utenti > 1) echo "<td align=\"center\" rowspan=2>".mex("Utente",$pag)."</td>";
echo "<td align=\"center\" rowspan=2>".mex("Data_della modifica",$pag)."</td></tr>
<tr><td>".mex("Cognome_cliente",$pag)."</td><td>".mex("Data_inizale",$pag)."</td><td>".mex("Data_finale",$pag)."</td></tr>";

if (!$cerca_prenota and $num_storia_soldi_prenota > $num_vedi_in_tab and $pagina_prenota != 1) echo $stringa_puntini_tab;

for ($num1 = 0 ; $num1 < $num_storia_soldi_prenota ; $num1 = $num1 + 1) {
$data_inserimento = risul_query($storia_soldi_prenota,$num1,data_inserimento);
$data_inserimento = substr($data_inserimento, 0, 10);
$data_inserimento_f = formatta_data($data_inserimento,$stile_data);
#$string = substr($data_inserimento, 6, 9);
#$data_inserimento = ereg_replace($string,"",$data_inserimento);
$motivazione = risul_query($storia_soldi_prenota,$num1,motivazione);
$motivazione = explode(";",$motivazione);
$cognome = esegui_query("select cognome,utente_inserimento from $tableclienti where idclienti = ".$motivazione[0]);
$mostra_cliente = "SI";
if ($vedi_clienti == "NO") $mostra_cliente = "NO";
if ($vedi_clienti == "PROPRI") {
$utente_inserimento = risul_query($cognome,0,utente_inserimento);
if ($utente_inserimento != $id_utente) $mostra_cliente = "NO";
} # fine if ($vedi_clienti == "PROPRI")
if ($mostra_cliente == "NO") $cognome = mex("Cliente",$pag)." ".$motivazione[0];
else $cognome = risul_query($cognome,0,cognome);
$data_inizio = esegui_query("select * from $tableperiodi where idperiodi = '".$motivazione[1]."'");
$data_inizio = risul_query($data_inizio,0,datainizio);
$data_fine = esegui_query("select * from $tableperiodi where idperiodi = '".$motivazione[2]."'");
$data_fine = risul_query($data_fine,0,datafine);
$soldi_prima = risul_query($storia_soldi_prenota,$num1,soldi_prima);
$saldo_prenota = risul_query($storia_soldi_prenota,$num1,saldo_prenota);
$soldi_dopo = $soldi_prima + $saldo_prenota;
$saldo_prenota_TOT = $saldo_prenota_TOT + $saldo_prenota;
$metodo_pagamento = risul_query($storia_soldi_prenota,$num1,metodo_pagamento);
if (!$metodo_pagamento) $metodo_pagamento = "&nbsp;";
$utente_inserimento = risul_query($storia_soldi_prenota,$num1,utente_inserimento);
$nome_utente_inserimento = $nome_utente_id[$utente_inserimento];

$data_inizio_f = formatta_data($data_inizio,$stile_data);
$data_fine_f = formatta_data($data_fine,$stile_data);
$soldi_prima_p = punti_in_num($soldi_prima,$stile_soldi);
$soldi_dopo_p = punti_in_num($soldi_dopo,$stile_soldi);
$saldo_prenota_p = punti_in_num($saldo_prenota,$stile_soldi);

if ($cerca_prenota or (($num1+1) > (($pagina_prenota - 1)*$num_vedi_in_tab) and ($num1+1) <= (($pagina_prenota)*$num_vedi_in_tab)) ) {

echo "<tr><td align=\"center\">$cognome</td>
<td align=\"center\">$data_inizio_f</td>
<td align=\"center\">$data_fine_f</td>
<td align=\"center\">$soldi_prima_p</td>
<td align=\"center\">$soldi_dopo_p</td>
<td align=\"center\">$saldo_prenota_p</td>
<td align=\"center\">$metodo_pagamento</td>";
if ($num_tutti_utenti > 1) echo "<td align=\"center\"><font size=-1>$nome_utente_inserimento</font></td>";
echo "<td align=\"center\"><font size=-1>$data_inserimento_f</font></td></tr>";

} # fine if ($cerca_prenota or (...

} # fine for $num1

if (!$cerca_prenota and $num_storia_soldi_prenota > $num_vedi_in_tab and $pagina_prenota != $num_pagine_prenota) echo $stringa_puntini_tab;

$saldo_prenota_TOT_p = punti_in_num($saldo_prenota_TOT,$stile_soldi);
echo "<tr><td align=\"center\" colspan=5><b>".mex("TOTALE",$pag)."</b></td>
<td align=\"center\">$saldo_prenota_TOT_p</td>";
if ($num_tutti_utenti > 1) echo "<td align=\"center\">&nbsp;</td>";
echo "<td align=\"center\">&nbsp;</td>
<td align=\"center\">&nbsp;</td></tr>";

$costo_cassa = esegui_query("select * from $tablecosti where idcosti = 0");
$costo_cassa = risul_query($costo_cassa,0,val_costo);
if ($costo_cassa and !$cerca_prenota) {
$resto_tot = $saldo_prenota_TOT - $costo_cassa;
$costo_cassa_p = punti_in_num($costo_cassa,$stile_soldi);
$resto_tot_p = punti_in_num($resto_tot,$stile_soldi);
echo "<tr><td align=\"center\" colspan=\"5\"><b><i>".mex("Trasferito in cassa",$pag).":</i></b></td>
<td align=\"center\">$costo_cassa_p</td>";
if ($num_tutti_utenti > 1) echo "<td align=\"center\">&nbsp;</td>";
echo "<td align=\"center\">&nbsp;</td>
<td align=\"center\">&nbsp;</td></tr>
<tr><td align=\"center\" colspan=\"5\"><b><i>".mex("RESTO",$pag)."</i></b></td>
<td align=\"center\">$resto_tot_p</td>";
if ($num_tutti_utenti > 1) echo "<td align=\"center\">&nbsp;</td>";
echo "<td align=\"center\">&nbsp;</td>
<td align=\"center\">&nbsp;</td></tr>";
} # fine if ($costo_cassa and !$cerca_prenota)

echo "</table>
$stringa_pagine

<br><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"costi\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";


} # fine if ($mostra_tabella != "NO")



if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($anno_utente_attivato == "SI" and $priv_vedi_tab_costi != "n")
} # fine if ($id_utente)



?>
